package ui.model;

import java.util.ArrayList;
import java.util.HashMap;

import classes.HolonObject;
import ui.controller.FlexManager;


public class DecoratedState {
	int timestepOfState;
	ArrayList<DecoratedNetwork> networkList;
	ArrayList<DecoratedCable> leftOverEdges;
	ArrayList<DecoratedSwitch> decoratedSwitches;
	HashMap<HolonObject, DecoratedNetwork> holonObjectNetworkTable;
	FlexManager flexManager;
	public DecoratedState(ArrayList<DecoratedNetwork> networkList, ArrayList<DecoratedCable> leftOverEdges, ArrayList<DecoratedSwitch> decoratedSwitches, FlexManager flexManager , int timestepOfState, HashMap<HolonObject, DecoratedNetwork> holonObjectNetworkTable){
		this.networkList = networkList;
		this.leftOverEdges = leftOverEdges;
		this.decoratedSwitches = decoratedSwitches;
		this.timestepOfState = timestepOfState;
		this.flexManager = flexManager;
		this.holonObjectNetworkTable = holonObjectNetworkTable;
	}
	public HashMap<HolonObject, DecoratedNetwork> getHolonObjectNetworkTable() {
		return holonObjectNetworkTable;
	}
	public ArrayList<DecoratedNetwork> getNetworkList() {
		return networkList;
	}
	public ArrayList<DecoratedCable> getLeftOverEdges() {
		return leftOverEdges;
	}
	public ArrayList<DecoratedSwitch> getDecoratedSwitches() {
		return decoratedSwitches;
	}
	public FlexManager getFlexManager() {
		return flexManager;
	}
	public int getTimestepOfState() {
		return timestepOfState;
	}
}
